Skip to main content

Upload Packages

POST https://api.repoflow.io/1/workspaces/<workspace-ref>/repositories/<repository-ref>/packages

Upload multiple packages to a repository using packageFiles form-data. This API is for package types where each uploaded file is handled as its own package upload, such as npm, PyPI, Docker, NuGet, Go, Helm, RPM, Gems, Cargo, and Chocolatey.

This API does not support Maven, Debian, Universal, Composer, or Conan package uploads. Use the single package upload API for package types whose upload is made from multiple files that belong to one package or one package version.

This endpoint works only with local repositories, or with virtual repositories that have a local repository configured as their upload target.

Successful upload processing returns HTTP 200 with a result for each file. Request-level validation, permission, repository, license, and server errors return the applicable 4xx or 5xx status.

Minimum Permission: Can manage or Can Deploy • Authentication Not Required

Path Parameters

workspace-refstringRequired

Workspace ID or name.

repository-refstringRequired

Repository ID or name.

Form Data

packageFilesfile[]Required

File(s) to upload, provided as form-data.